# Uses of Class
org.jfree.chart3d.graphics3d.ViewPoint3D

Packages that use ViewPoint3D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.
org.jfree.chart3d.graphics3d.swing
Components to display 3D graphics in Swing applications.

## Uses of ViewPoint3D in org.jfree.chart3d

Methods in org.jfree.chart3d that return ViewPoint3D
Modifier and Type
Method
Description
`ViewPoint3D`
Chart3D.`getViewPoint()`
Returns the view point.
Methods in org.jfree.chart3d with parameters of type ViewPoint3D
Modifier and Type
Method
Description
`void`
Chart3D.`setViewPoint(ViewPoint3D viewPoint)`
Sets the view point.

## Uses of ViewPoint3D in org.jfree.chart3d.graphics3d

Methods in org.jfree.chart3d.graphics3d that return ViewPoint3D
Modifier and Type
Method
Description
`static ViewPoint3D`
ViewPoint3D.`createAboveLeftViewPoint(double rho)`
Creates and returns a view point for looking at a chart from the front and above and to the left.
`static ViewPoint3D`
ViewPoint3D.`createAboveRightViewPoint(double rho)`
Creates and returns a view point for looking at a chart from the front and above and to the right.
`static ViewPoint3D`
ViewPoint3D.`createAboveViewPoint(double rho)`
Creates and returns a view point for looking at a chart from the front and above.
`ViewPoint3D`
DefaultDrawable3D.`getViewPoint()`
Returns the view point.
`ViewPoint3D`
Drawable3D.`getViewPoint()`
Returns the point from which the 3D scene is viewed.
Methods in org.jfree.chart3d.graphics3d with parameters of type ViewPoint3D
Modifier and Type
Method
Description
`Point3D[]`
Object3D.`calculateEyeCoordinates(ViewPoint3D viewPoint)`
Returns the eye coordinates of the object's vertices.
`Point3D[]`
World.`calculateEyeCoordinates(ViewPoint3D vp)`
Returns an array containing the vertices for all objects in this world, transformed to eye coordinates.
`Point2D[]`
Object3D.`calculateProjectedPoints(ViewPoint3D viewPoint, double d)`
Calculates the projected points for the object's vertices, for the given viewpoint.
`Point2D[]`
World.`calculateProjectedPoints(ViewPoint3D vp, double d)`
Calculates the projected points in 2D-space for all the vertices of the objects in the world.
`void`
DefaultDrawable3D.`setViewPoint(ViewPoint3D viewPoint)`
Sets the view point.
`void`
Drawable3D.`setViewPoint(ViewPoint3D viewPoint)`
Sets a new view point.
Constructors in org.jfree.chart3d.graphics3d with parameters of type ViewPoint3D
Modifier
Constructor
Description
``
`ViewPoint3D(ViewPoint3D vp)`
Creates a new instance that is an exact copy of the supplied viewpoint.

## Uses of ViewPoint3D in org.jfree.chart3d.graphics3d.swing

Methods in org.jfree.chart3d.graphics3d.swing that return ViewPoint3D
Modifier and Type
Method
Description
`ViewPoint3D`
Panel3D.`getViewPoint()`
Returns the view point that is maintained by the `Drawable3D` instance on display.
Methods in org.jfree.chart3d.graphics3d.swing with parameters of type ViewPoint3D
Modifier and Type
Method
Description
`void`
Panel3D.`setViewPoint(ViewPoint3D vp)`
Sets a new view point and repaints the panel.